
/*
 Wineconf 1.0 - what means 'configurator for Wine' (oh, really?)
 by Daniel Mealha Cabrita (dancab@conectiva.com)
 September 1th, 2000
 */

#pragma implementation
#include <stdio.h>
#include <string.h>
#include <translat.h>
#include "wineconf.h"
#include "wineconf.m"

#include "wineconf_main_window.cc"

MODULE_DEFINE_VERSION(wineconf);

PUBLIC MODULE_wineconf::MODULE_wineconf()
	: LINUXCONF_MODULE("wineconf")
{
	linuxconf_loadmsg ("wineconf",PACKAGE_REV);
}


static const char *keymenu=NULL;

PUBLIC void MODULE_wineconf::setmenu (
	DIALOG &dia,
	MENU_CONTEXT context)
{
	if (context == MENU_MISCSERV){
		keymenu = MSG_U(M_wineconf,"Wine configuration");
		dia.new_menuitem ("wineconf","",keymenu);
	}
}

PUBLIC int MODULE_wineconf::domenu (
	MENU_CONTEXT context,
	const char *key)
{
	if (context == MENU_MISCSERV){
		if (key == keymenu){
			// ### Place the call to the edit function here
                    start_things();
                }
	}
	return 0;
}


PUBLIC int MODULE_wineconf::dohtml (const char *key)
{
	int ret = LNCF_NOT_APPLICABLE;
	if (strcmp(key,"wineconf")==0){
		// ### Insert any menu and dialog here
		ret = 0;
	}
	return ret;
}


static void usage()
{
	xconf_error (MSG_U(T_USAGE
		,"linuxconf --modulemain wineconf usage\n"
		 "\n"
		 "    wineconf --option ...\n")
		);
}

PUBLIC void MODULE_wineconf::usage (SSTRINGS &tb)
{
	tb.add (new SSTRING (MSG_R(T_USAGE)));
}

PUBLIC int MODULE_wineconf::execmain (int argc , char *argv[], bool)
{
	int ret = LNCF_NOT_APPLICABLE;
	const char *pt = strrchr(argv[0],'/');
	if (pt != NULL){
		pt++;
	}else{
		pt = argv[0];
	}
	if (strcmp(pt,"wineconf")==0){
		ret = -1;
		if (argc == 1){
			// ### Place call to main menu of the module
                    start_things();
                }else{
			// ### Add some option parsing for the module
			::usage();
		}
	}
	return ret;
}


static MODULE_wineconf wineconf;

